package com.fs.his.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用药报告对象 fs_drug_report
 *
 * @author fs
 * @date 2024-04-23
 */
public class FsDrugReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long reportId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 医生id */
    @Excel(name = "医生id")
    private Long doctorId;

    /** 随访单id */
    @Excel(name = "随访单id")
    private Long followId;

    /** 药品订单id */
    @Excel(name = "药品订单id")
    private Long storeOrderId;

    /** 问诊订单ID */
    @Excel(name = "问诊订单ID")
    private Long inquiryOrderId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 咨询总结 */
    @Excel(name = "咨询总结")
    private String reportSummary;

    /** 生活建议 */
    @Excel(name = "生活建议")
    private String reportAdvice;

    /** 评分 */
    @Excel(name = "评分")
    private Long pingStar;
    @Excel(name = "评价")
    private String pingContent;

    /** 评价时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date pingTime;
    private String remark;

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPingContent() {
        return pingContent;
    }

    public void setPingContent(String pingContent) {
        this.pingContent = pingContent;
    }

    public void setReportId(Long reportId)
    {
        this.reportId = reportId;
    }

    public Long getReportId()
    {
        return reportId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setDoctorId(Long doctorId)
    {
        this.doctorId = doctorId;
    }

    public Long getDoctorId()
    {
        return doctorId;
    }
    public void setFollowId(Long followId)
    {
        this.followId = followId;
    }

    public Long getFollowId()
    {
        return followId;
    }
    public void setStoreOrderId(Long storeOrderId)
    {
        this.storeOrderId = storeOrderId;
    }

    public Long getStoreOrderId()
    {
        return storeOrderId;
    }
    public void setInquiryOrderId(Long inquiryOrderId)
    {
        this.inquiryOrderId = inquiryOrderId;
    }

    public Long getInquiryOrderId()
    {
        return inquiryOrderId;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setReportSummary(String reportSummary)
    {
        this.reportSummary = reportSummary;
    }

    public String getReportSummary()
    {
        return reportSummary;
    }
    public void setReportAdvice(String reportAdvice)
    {
        this.reportAdvice = reportAdvice;
    }

    public String getReportAdvice()
    {
        return reportAdvice;
    }
    public void setPingStar(Long pingStar)
    {
        this.pingStar = pingStar;
    }

    public Long getPingStar()
    {
        return pingStar;
    }
    public void setPingTime(Date pingTime)
    {
        this.pingTime = pingTime;
    }

    public Date getPingTime()
    {
        return pingTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("reportId", getReportId())
            .append("userId", getUserId())
            .append("doctorId", getDoctorId())
            .append("followId", getFollowId())
            .append("storeOrderId", getStoreOrderId())
            .append("inquiryOrderId", getInquiryOrderId())
            .append("status", getStatus())
            .append("reportSummary", getReportSummary())
            .append("reportAdvice", getReportAdvice())
            .append("pingStar", getPingStar())
            .append("pingTime", getPingTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
